function generarRefCons_MZ()
{

    jQuery(function(){
        $('#conss1').attr("disabled", true);
    });

    var cons = $('#cons').val();
    var clt = $('#cliente').val();      var tipO = $('#tipOperacion').val();
    var tipC = $('#tipoCarga').val();    var fechE = $('#Fecha_eta').val();
    var fl = $('#folio').val();         var ped = $('#pedimento').val();
    var adn = $('#aduana').val();       var ptnt = $('#patente').val();
    var cont1 = $('#cnt1').val();       var cont2 = $('#cnt2').val();
    var cont3 = $('#cnt3').val();       var cont4 = $('#cnt4').val();
    var cont5 = $('#cnt5').val();       var cont6 = $('#cnt6').val();
    var cont7 = $('#cnt7').val();       var cont8 = $('#cnt8').val();
    var cont9 = $('#cnt9').val();       var cont10 = $('#cnt10').val();

    if(clt != "" && tipO != "" && tipC != "" && fechE != "" && fl != "" && ped != "" && adn != "" && ptnt != ""){
        $.ajaxSetup({
            headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax({
            type: 'GET',
            url: 'RefConsMZ',
            data: {
                'cliente': clt, 'consecutivo': cons , 'tipOperacion': tipO,'tipCarga': tipC,'fecha_eta': fechE,'folio': fl,'pedimento': ped,'aduana': adn,'patente': ptnt, 'cont1': cont1,'cont2': cont2, 'cont3': cont3, 'cont4': cont4,'cont5': cont5,'cont6': cont6,'cont7': cont7,'cont8': cont8,'cont9': cont9,'cont10': cont10,
            },
            success:function(result){
                    $('#cuerpoTB').html(result);

                    $('#tipOperacion')[0].selectedIndex = 0;
                    $('#tipoCarga')[0].selectedIndex = 0;
                    $('#Fecha_eta')[0].selectedIndex = 0;
                    document.getElementById("cons").value = "";
                    document.getElementById("cnt1").value = "";
                    document.getElementById("cnt2").value = "";
                    document.getElementById("cnt3").value = "";
                    document.getElementById("cnt4").value = "";
                    document.getElementById("cnt5").value = "";
                    document.getElementById("cnt6").value = "";
                    document.getElementById("cnt7").value = "";
                    document.getElementById("cnt8").value = "";
                    document.getElementById("cnt9").value = "";
                    document.getElementById("cnt10").value = "";

                    jQuery(function(){
                        $('#RefGenMZ').modal('show');
                        $('#conss1').attr("disabled", false);
                    });

            },error:function (xhr, ajaxOptions, thrownError){
                if(xhr.status==404) {
                    alert(thrownError);
                }
            }
        });
    }else{
        alert('Revisa que todos los campos esten llenos!');
        jQuery(function(){
            $('#conss1').attr("disabled", false);
        });
    }
}